| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations | Functions | Variables
treebase.h File Reference

## Classes

class | wxTreeItemId
| An opaque reference to a tree item. More...
class | wxTreeItemData
| wxTreeItemData is some (arbitrary) user class associated with some item. More...

## Macros

#define | wxTR_NO_BUTTONS 0x0000
#define | wxTR_HAS_BUTTONS 0x0001
#define | wxTR_NO_LINES 0x0004
#define | wxTR_LINES_AT_ROOT 0x0008
#define | wxTR_TWIST_BUTTONS 0x0010
#define | wxTR_SINGLE 0x0000
#define | wxTR_MULTIPLE 0x0020
#define | wxTR_HAS_VARIABLE_ROW_HEIGHT 0x0080
#define | wxTR_EDIT_LABELS 0x0200
#define | wxTR_ROW_LINES 0x0400
#define | wxTR_HIDE_ROOT 0x0800
#define | wxTR_FULL_ROW_HIGHLIGHT 0x2000
#define | wxTR_DEFAULT_STYLE (wxTR_HAS_BUTTONS | wxTR_LINES_AT_ROOT)

## Enumerations

enum | wxTreeItemIcon { wxTreeItemIcon_Normal, wxTreeItemIcon_Selected, wxTreeItemIcon_Expanded, wxTreeItemIcon_SelectedExpanded, wxTreeItemIcon_Max }
| Indicates which type to associate an image with a wxTreeCtrl item. More...

## Functions

bool | operator== (const wxTreeItemId &left, const wxTreeItemId &right)
bool | operator!= (const wxTreeItemId &left, const wxTreeItemId &right)

## Variables

static const int | wxTREE_ITEMSTATE_NONE = -1
| special values for the 'state' parameter of wxTreeCtrl::SetItemState()
static const int | wxTREE_ITEMSTATE_NEXT = -2
static const int | wxTREE_ITEMSTATE_PREV = -3
static const int | wxTREE_HITTEST_ABOVE = 0x0001
static const int | wxTREE_HITTEST_BELOW = 0x0002
static const int | wxTREE_HITTEST_NOWHERE = 0x0004
static const int | wxTREE_HITTEST_ONITEMBUTTON = 0x0008
static const int | wxTREE_HITTEST_ONITEMICON = 0x0010
static const int | wxTREE_HITTEST_ONITEMINDENT = 0x0020
static const int | wxTREE_HITTEST_ONITEMLABEL = 0x0040
static const int | wxTREE_HITTEST_ONITEMRIGHT = 0x0080
static const int | wxTREE_HITTEST_ONITEMSTATEICON = 0x0100
static const int | wxTREE_HITTEST_TOLEFT = 0x0200
static const int | wxTREE_HITTEST_TORIGHT = 0x0400
static const int | wxTREE_HITTEST_ONITEMUPPERPART = 0x0800
static const int | wxTREE_HITTEST_ONITEMLOWERPART = 0x1000
static const int | wxTREE_HITTEST_ONITEM

## Macro Definition Documentation

#define wxTR_DEFAULT_STYLE (wxTR_HAS_BUTTONS | wxTR_LINES_AT_ROOT)

#define wxTR_EDIT_LABELS 0x0200

#define wxTR_FULL_ROW_HIGHLIGHT 0x2000

#define wxTR_HAS_BUTTONS 0x0001

#define wxTR_HAS_VARIABLE_ROW_HEIGHT 0x0080

#define wxTR_HIDE_ROOT 0x0800

#define wxTR_LINES_AT_ROOT 0x0008

#define wxTR_MULTIPLE 0x0020

#define wxTR_NO_BUTTONS 0x0000

#define wxTR_NO_LINES 0x0004

#define wxTR_ROW_LINES 0x0400

#define wxTR_SINGLE 0x0000

#define wxTR_TWIST_BUTTONS 0x0010

## Enumeration Type Documentation

enum wxTreeItemIcon

Indicates which type to associate an image with a wxTreeCtrl item.

See Also
  wxTreeCtrl::GetItemImage(), wxTreeCtrl::SetItemImage()

Enumerator:

  wxTreeItemIcon_Normal | To get/set the item image for when the item is not selected and not expanded.
  wxTreeItemIcon_Selected | To get/set the item image for when the item is selected and not expanded.
  wxTreeItemIcon_Expanded | To get/set the item image for when the item is not selected and expanded.
  wxTreeItemIcon_SelectedExpanded | To get/set the item image for when the item is selected and expanded.
  wxTreeItemIcon_Max |

## Function Documentation

bool operator!= | ( | const wxTreeItemId & | left,
|  | const wxTreeItemId & | right
| ) |  |

bool operator== | ( | const wxTreeItemId & | left,
|  | const wxTreeItemId & | right
| ) |  |

## Variable Documentation

const int wxTREE_HITTEST_ABOVE = 0x0001

static

const int wxTREE_HITTEST_BELOW = 0x0002

static

const int wxTREE_HITTEST_NOWHERE = 0x0004

static

const int wxTREE_HITTEST_ONITEM

static

Initial value:
= wxTREE_HITTEST_ONITEMICON |
wxTREE_HITTEST_ONITEMLABEL

const int wxTREE_HITTEST_ONITEMBUTTON = 0x0008

static

const int wxTREE_HITTEST_ONITEMICON = 0x0010

static

const int wxTREE_HITTEST_ONITEMINDENT = 0x0020

static

const int wxTREE_HITTEST_ONITEMLABEL = 0x0040

static

const int wxTREE_HITTEST_ONITEMLOWERPART = 0x1000

static

const int wxTREE_HITTEST_ONITEMRIGHT = 0x0080

static

const int wxTREE_HITTEST_ONITEMSTATEICON = 0x0100

static

const int wxTREE_HITTEST_ONITEMUPPERPART = 0x0800

static

const int wxTREE_HITTEST_TOLEFT = 0x0200

static

const int wxTREE_HITTEST_TORIGHT = 0x0400

static

const int wxTREE_ITEMSTATE_NEXT = -2

static

const int wxTREE_ITEMSTATE_NONE = -1

static

special values for the 'state' parameter of wxTreeCtrl::SetItemState()

const int wxTREE_ITEMSTATE_PREV = -3

static